//graphics output Unicode
#include <windows.h>
#define IDB_BITMAP1 1000
LRESULT CALLBACK WndProc(HWND, UINT, WPARAM, LPARAM);
HBITMAP hbmp = LoadBitmap(GetModuleHandle(0), MAKEINTRESOURCE(IDB_BITMAP1));
int WINAPI wWinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
PWSTR lpCmdLine, int nCmdShow)
{
MSG msg;
WNDCLASSW wc = {0};
wc.style = CS_HREDRAW | CS_VREDRAW;
wc.lpszClassName = L"Shapes";
wc.hInstance = hInstance;
wc.hbrBackground = GetSysColorBrush(COLOR_3DFACE);
wc.lpfnWndProc = WndProc;
wc.hCursor = LoadCursor(0, IDC_ARROW);
RegisterClassW(&wc);
CreateWindowW(wc.lpszClassName, L"Shapes",WS_OVERLAPPEDWINDOW | WS_VISIBLE,100, 100, 600, 300, NULL, NULL, hInstance, NULL);
while( GetMessage(&msg, NULL, 0, 0)) {
DispatchMessage(&msg);
}

return (int) msg.wParam;
}

LRESULT CALLBACK WndProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam)
{
HDC hdc;
PAINTSTRUCT ps;
const POINT polygon[10] = { 30, 185, 95, 185, 105, 130, 65, 145, 30, 135 };
const POINT bezier[4] = {280, 180, 320, 180, 325, 130, 350, 130};
HBRUSH hbrush=NULL;
HPEN hpen;
switch(msg)
{
case WM_PAINT:
hdc = BeginPaint(hwnd, &ps);
MoveToEx(hdc,10,10,NULL);
SelectObject(hdc,hbrush);
//draws line around window
LineTo(hdc,570,10);
LineTo(hdc,570,240);
LineTo(hdc,10,240);
LineTo(hdc,10,10);
//draws ellipse with default pen and brush
Ellipse(hdc, 30, 30, 120, 90);
SelectObject(hdc, hbrush);
TextOutW(hdc,50,95,L"Ellipse",7);
//creates hbrush with colour green and draws roundrect
hbrush=CreateSolidBrush(RGB(0,255,0));
SelectObject(hdc, hbrush);
RoundRect(hdc, 150, 30, 240, 90, 15, 20);
TextOutW(hdc,130,95,L"Rounded rectangle",17);
//creates hbrush with yellow cross hatch and draws chord
hbrush=CreateHatchBrush(HS_CROSS ,RGB(255,255,0));
SelectObject(hdc, hbrush);
Chord(hdc, 270, 30, 360, 90, 270, 45, 360, 45);
TextOutW(hdc,300,95,L"Chord",5);
//creates hbrush with red cross hatch and draws polygon
hbrush=CreateHatchBrush(HS_VERTICAL ,RGB(255,0,0));
SelectObject(hdc, hbrush);
Polygon(hdc, polygon, 5);
TextOutW(hdc,50,195,L"Polygon",7);
//creates hbrush black and draws rectangle
hbrush=CreateSolidBrush(RGB(0,0,0));
SelectObject(hdc, hbrush);
Rectangle(hdc, 150, 130, 230, 180);
TextOutW(hdc,160,195,L"Rectangle",9);
//draws Bezier curve
PolyBezier(hdc, bezier, 4);
TextOutW(hdc,290,195,L"Bezier",6);
//creates hbrush white and draws pie
hbrush=CreateSolidBrush(RGB(255,255,255));
SelectObject(hdc, hbrush);
Pie(hdc, 400,30, 490,90, 270,45, 360,45);
TextOutW(hdc,435,95,L"Pie",3);
//draws 3 lines with 3 different style in 3 different colours
MoveToEx(hdc,400,130,NULL);
hpen=CreatePen(PS_DASH,1,RGB(0, 0, 255));
SelectObject(hdc,hpen);
LineTo(hdc,490,130);
MoveToEx(hdc,400,155,NULL);
hpen=CreatePen(PS_DOT,1,RGB(255, 0, 255));
SelectObject(hdc,hpen);
LineTo(hdc,490,155);
MoveToEx(hdc,400,180,NULL);
hpen=CreatePen(PS_DASHDOTDOT,1,RGB(255, 0, 0));
SelectObject(hdc,hpen);
LineTo(hdc,490,180);
TextOutW(hdc,430,195,L"Lines",5);
EndPaint(hwnd, &ps);
DeleteObject(hbrush);
DeleteObject(hpen);
break;
case WM_DESTROY:
PostQuitMessage(0);
return 0;
}
return DefWindowProcW(hwnd, msg, wParam, lParam);
}